# pn_stp_port – CLI command to modify stp-port

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used modify Spanning Tree Protocol (STP) parameters on ports.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

pn_block
boolean

Choices:
- no
- yes

Specify if a STP port blocks BPDUs.

pn_bpdu_guard
boolean

Choices:
- no
- yes

STP port BPDU guard.

pn_cliswitch string |  | Target switch to run the CLI on.
pn_cost string | Default: "2000" | STP port cost from 1 to 200000000.

pn_edge
boolean

Choices:
- no
- yes

STP port is an edge port.

pn_filter
boolean

Choices:
- no
- yes

STP port filters BPDUs.

pn_port string |  | STP port.
pn_priority string | Default: "128" | STP port priority from 0 to 240.

pn_root_guard
boolean

Choices:
- no
- yes

STP port Root guard.

state
string / required

Choices:
- update

State the action to perform. Use `update` to update stp-port.

## Examples

    - name: Modify stp port
      pn_stp_port:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "1"
        pn_filter: True
        pn_priority: '144'

    - name: Modify stp port
      pn_stp_port:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "1"
        pn_cost: "200"

    - name: Modify stp port
      pn_stp_port:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "1"
        pn_edge: True
        pn_cost: "200"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the stp-port command.
stdout list | always | set of responses from the stp-port command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.